

static struct {
	const char *code;
	const char *language;
} languages[] = {
	{ "ab", "Abkhazian"                },
	{ "aa", "Afar"                     },
	{ "af", "Afrikaans"                },
	{ "ak", "Akan"                     },
	{ "sq", "Albanian"		     },
	{ "am", "Amharic"		     },
	{ "ar", "Arabic"		     },
	{ "an", "Aragonese"		     },
	{ "hy", "Armenian"		     },
	{ "as", "Assamese"		     },
	{ "av", "Avaric"		     },
	{ "ae", "Avestan"		     },
	{ "ay", "Aymara"		     },
	{ "az", "Azerbaijani"		     },
	{ "bm", "Bambara"		     },
	{ "ba", "Bashkir"		     },
	{ "eu", "Basque"		     },
	{ "be", "Belarusian"		     },
	{ "bn", "Bengali"		     },
	{ "bh", "Bihari"		     },
	{ "bi", "Bislama"		     },
	{ "nb", "Bokmål, Norwegian"	     },
	{ "bs", "Bosnian"		     },
	{ "br", "Breton"		     },
	{ "bg", "Bulgarian"		     },
	{ "my", "Burmese"		     },
	{ "ca", "Catalan"		     },
	{ "ch", "Chamorro"		     },
	{ "ce", "Chechen"		     },
	{ "zh", "Chinese"		     },
	{ "cv", "Chuvash"		     },
	{ "kw", "Cornish"		     },
	{ "co", "Corse"		     },
	{ "cr", "Cree"		     },
	{ "hr", "Croatian"		     },
	{ "cs", "Czech"		     },
	{ "da", "Danish"		     },
	{ "dv", "Divehi"		     },
	{ "nl", "Nederlands"		     },
	{ "dz", "Dzongkha"		     },
	{ "en", "English"		     },
	{ "eo", "Esperanto"		     },
	{ "et", "Estonian"		     },
	{ "ee", "Ewe"			     },
	{ "fo", "Faroese"		     },
	{ "fj", "Fijian"		     },
	{ "fi", "Finnish"		     },
	{ "fr", "Fran""\xC3\xA7""ais"	     }, /* Francais */
	{ "fy", "Frisian"		     },
	{ "ff", "Fulah"		     },
	{ "gd", "Gaelic"		     },
	{ "gl", "Gallegan"		     },
	{ "lg", "Ganda"		     },
	{ "ka", "Georgian"		     },
	{ "de", "Deutsch"		     },
	{ "el", "Greek"		     },
	{ "kl", "Greenlandic"		     },
	{ "gn", "Guarani"		     },
	{ "gu", "Gujarati"		     },
	{ "ha", "Hausa"		     },
	{ "he", "Hebrew"		     },
	{ "hz", "Herero"		     },
	{ "hi", "Hindi"		     },
	{ "ho", "Hiri Motu"		     },
	{ "hu", "Hungarian"		     },
	{ "is", "Icelandic"		     },
	{ "io", "Ido"			     },
	{ "ig", "Igbo"		     },
	{ "id", "Indonesian"		     },
	{ "ia", "Interlingua"		     },
	{ "ie", "Interlingue"		     },
	{ "iu", "Inuktitut"		     },
	{ "ik", "Inupiaq"		     },
	{ "ga", "Irish"		     },
	{ "it", "Italiano"		     },
	{ "ja", "Japanese"		     },
	{ "jv", "Javanese"		     },
	{ "kn", "Kannada"		     },
	{ "kr", "Kanuri"		     },
	{ "ks", "Kashmiri"		     },
	{ "kk", "Kazakh"		     },
	{ "km", "Khmer"		     },
	{ "ki", "Kikuyu"		     },
	{ "rw", "Kinyarwanda"		     },
	{ "ky", "Kirghiz"		     },
	{ "kv", "Komi"		     },
	{ "kg", "Kongo"		     },
	{ "ko", "Korean"		     },
	{ "kj", "Kuanyama"		     },
	{ "ku", "Kurdish"		     },
	{ "lo", "Lao"			     },
	{ "la", "Latin"		     },
	{ "lv", "Latvian"		     },
	{ "lb", "Letzeburgesch"	     },
	{ "li", "Limburgan"		     },
	{ "ln", "Lingala"		     },
	{ "lt", "Lithuanian"		     },
	{ "lu", "Luba-Katanga"	     },
	{ "mk", "Macedonian"		     },
	{ "mg", "Malagasy"		     },
	{ "ms", "Malay"		     },
	{ "ml", "Malayalam"		     },
	{ "mt", "Maltese"		     },
	{ "gv", "Manx"		     },
	{ "mi", "Maori"		     },
	{ "mr", "Marathi"		     },
	{ "mh", "Marshallese"		     },
	{ "mo", "Moldavian"		     },
	{ "mn", "Mongolian"		     },
	{ "na", "Nauru"		     },
	{ "nv", "Navaho"		     },
	{ "nd", "Ndebele North"	     },
	{ "nr", "Ndebele South"	     },
	{ "ng", "Ndonga"		     },
	{ "ne", "Nepali"		     },
	{ "se", "Northern Sami"	     },
	{ "no", "Norwegian"		     },
	{ "nn", "Norwegian Nynorsk"	     },
	{ "ny", "Nyanja"		     },
	{ "oc", "Provençal"		     },
	{ "oj", "Ojibwa"		     },
	{ "cu", "Old Bulgarian"	     },
	{ "or", "Oriya"		     },
	{ "om", "Oromo"		     },
	{ "os", "Ossetian"		     },
	{ "pi", "Pali"		     },
	{ "pa", "Panjabi"		     },
	{ "fa", "Persian"		     },
	{ "pl", "Polish"		     },
	{ "pt", "Portuguese"		     },
	{ "ps", "Pushto"		     },
	{ "qu", "Quechua"		     },
	{ "rm", "Raeto-Romance"	     },
	{ "ro", "Romanian"		     },
	{ "rn", "Rundi"		     },
	{ "ru", "Russian"		     },
	{ "sm", "Samoan"		     },
	{ "sg", "Sango"		     },
	{ "sa", "Sanskrit"		     },
	{ "sc", "Sardinian"		     },
	{ "sr", "Serbian"		     },
	{ "sn", "Shona"		     },
	{ "ii", "Sichuan Yi"		     },
	{ "sd", "Sindhi"		     },
	{ "si", "Sinhalese"		     },
	{ "sk", "Slovak"		     },
	{ "sl", "Slovenian"		     },
	{ "so", "Somali"		     },
	{ "st", "Sotho"		     },
	{ "es", "Espa\xC3\xB1ol"	     }, /* Espanol */
	{ "su", "Sundanese"		     },
	{ "sw", "Swahili"		     },
	{ "ss", "Swati"		     },
	{ "sv", "Swedish"		     },
	{ "tl", "Tagalog"		     },
	{ "ty", "Tahitian"		     },
	{ "tg", "Tajik"		     },
	{ "ta", "Tamil"		     },
	{ "tt", "Tatar"		     },
	{ "te", "Telugu"		     },
	{ "th", "Thai"		     },
	{ "bo", "Tibetan"		     },
	{ "ti", "Tigrinya"		     },
	{ "to", "Tonga"		     },
	{ "ts", "Tsonga"		     },
	{ "tn", "Tswana"		     },
	{ "tr", "Turkish"		     },
	{ "tk", "Turkmen"		     },
	{ "tw", "Twi"			     },
	{ "ug", "Uighur"		     },
	{ "uk", "Ukrainian"		     },
	{ "ur", "Urdu"		     },
	{ "uz", "Uzbek"		     },
	{ "ve", "Venda"		     },
	{ "vi", "Vietnamese"		     },
	{ "vo", "Volapük"		     },
	{ "wa", "Walloon"		     },
	{ "cy", "Welsh"		     },
	{ "wo", "Wolof"		     },
	{ "xh", "Xhosa"		     },
	{ "yi", "Yiddish"		     },
	{ "yo", "Yoruba"		     },
	{ "za", "Zhuang"		     },
	{ "zu", "Zulu"		     },
	{ NULL, NULL			     }
};

